org.wildfly.swarm.config.ejb3

## Class PassivationStore<T extends PassivationStore<T>>

- java.lang.Object
- - org.wildfly.swarm.config.ejb3.PassivationStore<T>

-     public class PassivationStore<T extends PassivationStore<T>>
      extends Object

  A passivation store

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PassivationStore(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `beanCache()` The name of the cache used to store bean instances.
    `T` | `beanCache(String value)` The name of the cache used to store bean instances.
    `String` | `cacheContainer()` The name of the cache container used for the bean and client-mappings caches
    `T` | `cacheContainer(String value)` The name of the cache container used for the bean and client-mappings caches
    `String` | `getKey()`
    `Integer` | `maxSize()` The maximum number of beans this cache should store before forcing old beans to passivate
    `T` | `maxSize(Integer value)` The maximum number of beans this cache should store before forcing old beans to passivate
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PassivationStore

          public PassivationStore(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### beanCache

          public String beanCache()

      The name of the cache used to store bean instances.

    - #### beanCache

          public T beanCache(String value)

      The name of the cache used to store bean instances.

    - #### cacheContainer

          public String cacheContainer()

      The name of the cache container used for the bean and client-mappings caches

    - #### cacheContainer

          public T cacheContainer(String value)

      The name of the cache container used for the bean and client-mappings caches

    - #### maxSize

          public Integer maxSize()

      The maximum number of beans this cache should store before forcing old beans to passivate

    - #### maxSize

          public T maxSize(Integer value)

      The maximum number of beans this cache should store before forcing old beans to passivate

Copyright © 2017 JBoss by Red Hat. All rights reserved.